# Complete Upload. Complete/Cancel multipart upload once all parts are uploaded. This endpoint must be called after creating asset when the file is sent in chunks of 100MB each. For files 100MB or less in size this operation is not needed. Endpoint: POST /asset/complete Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `fileId` (string) - `filename` (string) - `filesize` (integer) Example: 335226108 - `action` (string) Either complete or cancel as the action to finalize the multipart upload. This field is case sensitive. Enum: "complete", "cancel" - `originalFileId` (string) - `uploadId` (string) Example: "gR5XHJZpuDv8UizdpSGuwONje0GbMHnCWXS5zTTVkyVINURV6iraWLhpM7Sy7oy65utAgPcm2FfM4fRp4oVga4ggEzD811aS1tke_F0iIIXX1kV7m6UouytsNE0oL8fzo2Zr2JCqwRyhFTXp98zjdQ--" - `parts` (array) - `parts.partNumber` (number) Example: 1 - `parts.etag` (string) Example: "6988d46a133c76f49c555deebb8efb8a" ## Response 200 fields (application/json): - `fileId` (string) - `filename` (string) - `action` (string) Example: "Complete/Cancel" - `originalFileId` (string) - `uploadId` (string) Example: "gR5XHJZpuDv8UizdpSGuwONje0GbMHnCWXS5zTTVkyVINURV6iraWLhpM7Sy7oy65utAgPcm2FfM4fRp4oVga4ggEzD811aS1tke_F0iIIXX1kV7m6UouytsNE0oL8fzo2Zr2JCqwRyhFTXp98zjdQ--" - `s3Key` (string) Example: "masters/843ec17f-9491-4cfa-b840-faa299973207/2-vid.mp4" - `status` (string) Example: "success" ## Response 400 fields (application/json): - `status` (string) Example: "error" - `message` (string) Example: "Detailed Error Message" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)